import { IMAPFolderStatusNativeBinding } from "../types";
import { NodeTrustedMailcore2NativeBinding } from '../types/NodeTrustedMailcore2NativeBinding';
declare const bindings: NodeTrustedMailcore2NativeBinding;
/**
 *
 *
 * @class IMAPFolderStatus
 * @extends {bindings.IMAPFolderStatus}
 */
declare class IMAPFolderStatus extends bindings.IMAPFolderStatus {
    handle: IMAPFolderStatusNativeBinding;
    constructor();
    /**
     * Get unseenCount
     *
     * @type {number}
     * @memberof IMAPFolderStatus
     */
    get unseenCount(): number;
    /**
     * Set unseenCount
     *
     * @memberof IMAPFolderStatus
     */
    set unseenCount(count: number);
    /**
     * Get messageCount
     *
     * @type {number}
     * @memberof IMAPFolderStatus
     */
    get messageCount(): number;
    /**
     * Set messageCount
     *
     * @memberof IMAPFolderStatus
     */
    set messageCount(count: number);
    /**
     * Get recentCount
     *
     * @type {number}
     * @memberof IMAPFolderStatus
     */
    get recentCount(): number;
    /**
     * Set recentCount
     *
     * @memberof IMAPFolderStatus
     */
    set recentCount(count: number);
    /**
     * Get uidNext
     *
     * @type {number}
     * @memberof IMAPFolderStatus
     */
    get uidNext(): number;
    /**
     * Set uidNext
     *
     * @memberof IMAPFolderStatus
     */
    set uidNext(uid: number);
    /**
     * Get uidValidity
     *
     * @type {number}
     * @memberof IMAPFolderStatus
     */
    get uidValidity(): number;
    /**
     * Set uidValidity
     *
     * @memberof IMAPFolderStatus
     */
    set uidValidity(uid: number);
    /**
     * Get highestModSeqValue
     *
     * @type {number}
     * @memberof IMAPFolderStatus
     */
    get highestModSeqValue(): number;
    /**
     * Set highestModSeqValue
     *
     * @memberof IMAPFolderStatus
     */
    set highestModSeqValue(mod: number);
    description(): string;
}
export { IMAPFolderStatus };
//# sourceMappingURL=IMAPFolderStatus.d.ts.map