/// <reference types="node" />
import { AttachmentNativeBinding } from './AttachmentNativeBinding';
import { MessageHeaderNativeBinding } from './MessageHeaderNativeBinding';
export declare class MessageBuilderNativeBinding {
    get header(): MessageHeaderNativeBinding | undefined;
    set header(msgHeader: MessageHeaderNativeBinding | undefined);
    get htmlBody(): string;
    set htmlBody(bodyVal: string);
    get textBody(): string;
    set textBody(bodyVal: string);
    get attachments(): AttachmentNativeBinding[];
    set attachments(attaches: AttachmentNativeBinding[]);
    addAttachments(attaches: AttachmentNativeBinding[]): void;
    get relatedAttachments(): AttachmentNativeBinding[];
    set relatedAttachments(attaches: AttachmentNativeBinding[]);
    addRelatedAttachments(attaches: AttachmentNativeBinding[]): void;
    get boundaryPrefix(): string;
    set boundaryPrefix(prefVal: string);
    get data(): Buffer;
    getDataAsync(done: (error: string | Error | undefined | null, result: Buffer) => void): void;
    Write(fileName: string): void;
    WriteAsync(fileName: string, done: (error: string | Error | undefined | null, result: Buffer) => void): void;
    SetSignerCert(certData: string, signerMail?: string): void;
    SetRecipientsCerts(certsData: string[]): void;
    SetTempFolder(tmpFolderPath: string): void;
}
export declare interface MessageBuilderNativeBindingObject {
    new (bufData?: Buffer, fileName?: string): MessageBuilderNativeBinding;
    strError(errorCode: number): string;
}
//# sourceMappingURL=MessageBuilderNativeBinding.d.ts.map